from machine import Pin, PWM
import time

# Nastavení GPIO pinů pro LED diody s PWM
led_piny = [PWM(Pin(i)) for i in range(8)]

# Nastavení frekvence PWM
for led in led_piny:
    led.freq(1000)

def zhasnuti_led():
    for led in led_piny:
        led.duty_u16(0)

def nastav_jas(led, jas):
    # jas je hodnota od 0 do 65535
    led.duty_u16(jas)

def svetlo_tma(led):
    for i in range(0, 65536, 256):  # Postupné rozsvěcování
        nastav_jas(led, i)
        time.sleep(0.01)
    for i in range(65535, -1, -256):  # Postupné zhasínání
        nastav_jas(led, i)
        time.sleep(0.01)

def postupne_blikani():
    for a in range(2):
        for led in led_piny:
            svetlo_tma(led)

def oboustranne_blikani():
    for a in range(2):
        for i in range(4):
            svetlo_tma(led_piny[i])
            svetlo_tma(led_piny[7-i])

def postupne_on_off():
    for a in range(2):
        for led in led_piny:
            svetlo_tma(led)
        time.sleep(0.5)

def tam_zpet():
    for a in range(2):
        for i in range(7):
            svetlo_tma(led_piny[i])
        for i in range(7, 0, -1):
            svetlo_tma(led_piny[i])

# Zde ponecháte názvy funkcí, který efekt chcete spustit
efekty = [
    postupne_blikani,
    oboustranne_blikani,
    postupne_on_off,
    tam_zpet
]

try:
    # Spustí všechny efekty postupně
    while True:
        for efekt in efekty:
            efekt()
except KeyboardInterrupt:
    zhasnuti_led()