from machine import Pin
import utime

# Definice LED diod
led1 = Pin(15, Pin.OUT)
led2 = Pin(14, Pin.OUT)
led3 = Pin(13, Pin.OUT)
led4 = Pin(12, Pin.OUT)

# Definice tlačítka s použitím pull-down rezistoru
button_pull_down = Pin(10, Pin.IN, Pin.PULL_DOWN)

# Definice tlačítka s použitím pull-up rezistoru
button_pull_up = Pin(11, Pin.IN, Pin.PULL_UP)

# Inicializace LED diod (zhasnuté)
led1.value(0)
led2.value(0)
led3.value(0)
led4.value(0)

# Stavový stroj pro změnu stavu LED
stav = 0

def update_leds(stav):
    if stav == 0:
        led1.value(1)
        led2.value(0)
        led3.value(0)
        led4.value(0)
    elif stav == 1:
        led1.value(0)
        led2.value(1)
        led3.value(0)
        led4.value(0)
    elif stav == 2:
        led1.value(0)
        led2.value(0)
        led3.value(1)
        led4.value(0)
    elif stav == 3:
        led1.value(0)
        led2.value(0)
        led3.value(0)
        led4.value(1)

update_leds(stav)
        
while True:
    if button_pull_down.value() == 1:
        # Tlačítko s pull-down rezistorem stisknuto, změň stav
        stav = (stav + 1) % 4  # Cyklická změna stavu
        update_leds(stav)
        utime.sleep(0.3)  # Debounce čas pro tlačítko
    elif button_pull_up.value() == 0:
        # Tlačítko s pull-up rezistorem stisknuto, změň stav
        stav = (stav - 1) % 4  # Cyklická změna stavu
        update_leds(stav)
        utime.sleep(0.3)  # Debounce čas pro tlačítko
    utime.sleep(0.1)  # Krátká pauza pro eliminaci náhodného stavu signálu
